// Clase padre para definir herencia

public class Padre extends Abuelo{
	private int a; // Variable que no se hereda
	protected int b;
	
	// Constructores
	public Padre() {
		a = b = 0;
	}
	
	public Padre(int a, int b) {
		super(b,a);	// Accede al constructor del padre
		this.a = a;
		this.b = b;
		//x = b;
	}
	
	// Metodos
	public int getA() {
		return a;
	}
	public void setA(int a) {
		this.a = a;
	}
	public int getB() {
		return b;
	}
	public void setB(int b) {
		this.b = b;
	}
	
	@Override
	public String toString() {
		return "a = "+a+" b = "+b;
	}
	
	// Medotos definidos por el padre
	public float operacion() {
		return (float)Math.sqrt(b);
	}
	
	public float division() {
		return (float)a/b;
	}
}
